# Uses of Class
org.eclipse.net4j.util.ui.TableLabelProvider.Column

Packages that use TableLabelProvider.Column
Package
Description
org.eclipse.net4j.util.ui
Reusable UI components.

## Uses of TableLabelProvider.Column in org.eclipse.net4j.util.ui

Methods in org.eclipse.net4j.util.ui that return TableLabelProvider.Column
Modifier and Type
Method
Description
`TableLabelProvider.Column<T>`
TableLabelProvider.`getColumn(int columnIndex)`
`TableLabelProvider.Column<T>`
TableLabelProvider.`removeColumn(int columnIndex)`
`TableLabelProvider.Column<T>`
TableLabelProvider.Column.`setAlignment(int alignment)`
`TableLabelProvider.Column<T>`
TableLabelProvider.Column.`setHeader(String header)`
`TableLabelProvider.Column<T>`
TableLabelProvider.Column.`setImage(Image image)`
`TableLabelProvider.Column<T>`
TableLabelProvider.Column.`setMoveable(boolean moveable)`
`TableLabelProvider.Column<T>`
TableLabelProvider.Column.`setResizable(boolean resizable)`
`TableLabelProvider.Column<T>`
TableLabelProvider.Column.`setToolTipText(String toolTipText)`
`TableLabelProvider.Column<T>`
TableLabelProvider.Column.`setWidth(int width)`
Methods in org.eclipse.net4j.util.ui with parameters of type TableLabelProvider.Column
Modifier and Type
Method
Description
`TableLabelProvider<T>`
TableLabelProvider.`addColumn(TableLabelProvider.Column<T> column)`